public inbox for ltp@lists.linux.it
 help / color / mirror / Atom feed
* [LTP] [PATCH] bugfix for cpio/cpio_tests.sh
@ 2021-03-30 13:01 sujiaxun
  2021-03-31 10:31 ` Petr Vorel
  0 siblings, 1 reply; 3+ messages in thread
From: sujiaxun @ 2021-03-30 13:01 UTC (permalink / raw)
  To: ltp

In cpio version 2.12 and 2.13,'cpio --help' create is lowercase

Signed-off-by: sujiaxun <sujiaxun@uniontech.com>
---
 testcases/commands/cpio/cpio_tests.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/testcases/commands/cpio/cpio_tests.sh b/testcases/commands/cpio/cpio_tests.sh
index a98b7eca7..5f3a13e85 100755
--- a/testcases/commands/cpio/cpio_tests.sh
+++ b/testcases/commands/cpio/cpio_tests.sh
@@ -13,7 +13,7 @@ TST_SETUP="setup"

 setup()
 {
-	if ! cpio --help 2>&1 | grep -q -- '-o.*Create'; then
+	if ! cpio --help 2>&1 | grep -qi -- '-o.*Create'; then
 		tst_brk TCONF "-o flag not supported"
 	fi

--
2.20.1




^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2021-03-31 13:18 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-03-30 13:01 [LTP] [PATCH] bugfix for cpio/cpio_tests.sh sujiaxun
2021-03-31 10:31 ` Petr Vorel
     [not found]   ` <762779324.75038.1617189402948.JavaMail.xmail@bj-wm-cp-5>
2021-03-31 13:18     ` Petr Vorel

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox